Gentoo Logo

GD: Integer overflow

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200411-08 / GD
Release Date November 03, 2004
Latest Revision November 03, 2004: 01
Impact normal
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
media-libs/gd < 2.0.32 >= 2.0.32 All supported architectures

Related bugreports: #69070

Synopsis

The PNG image decoding routines in the GD library contain an integer overflow that may allow execution of arbitrary code with the rights of the program decoding a malicious PNG image.

2.  Impact Information

Background

The GD graphics library is an open source library which allows programmers to easily generate PNG, JPEG, GIF and WBMP images from many different programming languages.

Description

infamous41md found an integer overflow in the memory allocation procedure of the GD routine that handles loading PNG image files.

Impact

A remote attacker could entice a user to load a carefully crafted PNG image file in a GD-powered application, or send a PNG image to a web application which uses GD PNG decoding functions. This could potentially lead to execution of arbitrary code with the rights of the program loading the image.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All GD users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=media-libs/gd-2.0.32"

4.  References



Print

Page updated November 03, 2004

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.